<? global $lang;?>
<div class="article-entry">
  <?
    if ( $main_img = $this -> article['language']['main_image'] ):
      ?>
        <div class="main-image">
          <img src="<?= $main_img;?>" alt="<?= htmlspecialchars( $this -> article['language']['title'] );?>">
        </div>
      <?
    endif;

    $this -> article['language']['seo_link'] ? $url = $this -> article['language']['seo_link'] : $url = 'a-' . $this -> article['id'] . '-' . \S::seo( $this -> article['language']['title'] );

    if ( $this -> article['show_title'] ):
    ?>
      <h3 class="article-title">
        <a href="/<? if ( \S::get_session( 'current-lang' ) != \front\factory\Languages::default_language( \S::get_domain( $_SERVER['HTTP_HOST'] ) ) ) echo \S::get_session( 'current-lang' ) . '/';?><?= $url;?>" title="<?= $this -> article['language']['title'];?>"  <? if ( $this -> article['language']['noindex'] ):?>rel="nofollow"<? endif;?>><?= $this -> article['language']['title'];?></a>
      </h3>
    <?
    endif;

    if ( $this -> article['show_date_add'] )
      echo '<div class="date-add">' . $lang['data-dodania'] . ': ' . $this -> article['date_add'] . '</div>';

    if ( $this -> article['show_date_modify'] )
      echo '<div class="date-add">' . $lang['data-modyfikacji'] . ': ' . $this -> article['date_modify'] . '</div>';

  ?>
  <div class="entry">
    <?
      if ( $this -> article['language']['entry'] )
      {
        echo $this -> article['language']['entry'];

        if ( $this -> article['language']['text'] )
          $more = true;
      }
      else
      {
        echo $this -> article['language']['text'];

        $more = false;
      }
    ?>
  </div>
  <? if ( $more ):?>
    <a href="/<? if ( \S::get_session( 'current-lang' ) != \front\factory\Languages::default_language( \S::get_domain( $_SERVER['HTTP_HOST'] ) ) ) echo \S::get_session( 'current-lang' ) . '/';?><?= $url;?>" class="more" title="<?= $this -> article['language']['title'];?>" <? if ( $this -> article['language']['noindex'] ):?>rel="nofollow"<? endif;?>><?= $lang['wiecej'];?></a>
  <? endif;?>
</div>